Deprecated: Array and string offset access syntax with curly braces is deprecated in /home/myhostn/public_html/forum/Sources/Subs.php on line 4412

Deprecated: Unparenthesized `a ? b : c ? d : e` is deprecated. Use either `(a ? b : c) ? d : e` or `a ? b : (c ? d : e)` in /home/myhostn/public_html/forum/Sources/Load.php on line 3372
I Must Realllly Be Ignorant

I Must Realllly Be Ignorant

Started by Dragonfighter, April 04, 2007, 12:49:19 am

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

Dragonfighter

I have tried several times to install a forum both from the control panel and manually.  I have followed the directions but when I try to execute the install I keep getting "Not Acceptable Errors".  Well I coded a feedback form that uses php also and got the same error but with the feedback's document name.

Not Acceptable

An appropriate representation of the requested resource /feedback.php could not be found on this server.
Apache/2.0.46 (Red Hat) Server at northtexascreationresources.org Port 80


This with my seeming ineptitude at setting up an email account is driving me to distraction.  Please forgive my ignorance but if there is some obvious setting or otherwise I am missing, please let me know.

Thanks,
Kyle

Dynaweb

Hi,

We can help you with this stuff.  I seems like you have 2 different issues here.  The best way to get help here is to make one thread for each individual issue.  Since you included the specific error information here in this thread for your "Not Acceptable" issue, we can follow through with that here.  For help setting up your email, feel free to open a new thread for that.

"Not Acceptable" errors are an Apache error code 406.  From my experience, 406 errors most likely are due to tripping a mod_security rule.  HostNed's servers run mod_security for your protection and I am very glad they do.  The challenge here is to determine which rule your script is breaking.  That would be very hard, but is not impossible.  We can travel that path if willing later.

So can the mod_security be turned off?  Yes, it can.  The best way to do that is through an .htaccess override.  Under your /httpdocs (or root web directory) create a file named .htaccess (if one is already there you can edit it) and include the following lines:

## Disable mod_security
SecFilterEngine Off
SecFilterScanPOST Off

Then save the file and give 'er another go.

Dragonfighter

April 05, 2007, 05:57:13 pm #2 Last Edit: April 05, 2007, 06:40:28 pm by Dragonfighter
Alrighty.  I built an htaccess file and placed it "httpdocs".  I no longer get the error but the scripts also do nothing but reload.  That applies to the feedback as well as a forum install.

There is no error log associated with this that I could find.  So I guess the question is, now what?

Added in Edit:  I reinstalled the phpBB using the Plesk control panel.  Loaded it up and got the delete install and contrib directories prompt, which I did.

Then I got the log in screen and tried to log in.  It reloaded to its original state, no error or anything, just won't go any where.  Very similar behavior to the feedback form I installed.

Dynaweb

No more 406 error message so thats good.  You did the .htaccess thing right then.  As for your scripts, we will have to look at each of those individually.  Check your scripts path references again to make sure they are correct.  Additionally, in your Plesk control panel, go to LOG MANAGER -> ERROR_LOG and see what is recorded in there.

Dragonfighter

The only error I have since the .htaccess install is the one relating to the "needplugin.gif" that is called up in the html for the flash movie.  I simply did not include it.

There were the ones when I couldn't seem to type the address correctly.  But dyslexia shouldn't affect the running of a script once you do manage to call it up.  :'(


Dragonfighter


Dynaweb

Sorry, but what exactly is your question?

Dragonfighter

I checked the error log and there is nothing there related to the php files since the .htaccess file was installed.  The only errors is the plugin.gif not available because I have it called up if someone doesn't have FlashPlayer and I did not include the gif.

I still cannot get any of the php stuff to run.